File: .travis.yml

package info (click to toggle)
twinkle 1%3A1.10.2%2Bdfsg-1
  • links: PTS, VCS
  • area: main
  • in suites: bookworm, bullseye, sid
  • size: 7,140 kB
  • sloc: cpp: 62,217; makefile: 17
file content (34 lines) | stat: -rw-r--r-- 1,497 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
language: cpp
dist: trusty
sudo: required

env:
  global:
    - FLAGS="-DWITH_QT5=ON -DWITH_ALSA=ON -DWITH_GSM=ON -DWITH_SPEEX=ON -DWITH_ZRTP=ON"
    # (qttools5-dev-tools is explicitly included because of Debian bug #835295)
    - PACKAGES="libasound2-dev libgsm1-dev libspeex-dev libspeexdsp-dev libzrtpcpp-dev qtdeclarative5-dev qttools5-dev qttools5-dev-tools"
  matrix:
    # Test various compiler versions
    - PACKAGES_ADD="g++-4.9" MATRIX_EVAL="CC=gcc-4.9 && CXX=g++-4.9"
    - PACKAGES_ADD="g++-5"   MATRIX_EVAL="CC=gcc-5   && CXX=g++-5"
    - PACKAGES_ADD="g++-6"   MATRIX_EVAL="CC=gcc-6   && CXX=g++-6"
    # The version of uCommon available on trusty (6.0.7) will cause a build
    # failure when compiling with GCC 7 or Clang.
    #- PACKAGES_ADD="g++-7"   MATRIX_EVAL="CC=gcc-7   && CXX=g++-7"
    # Test with all options disabled
    - FLAGS="-DWITH_QT5=OFF -DWITH_ALSA=OFF -DWITH_GSM=OFF -DWITH_SPEEX=OFF -DWITH_ZRTP=OFF" PACKAGES=""

# See https://docs.travis-ci.com/user/languages/cpp/#C11-C%2B%2B11-%28and-Beyond%29-and-Toolchain-Versioning
before_install:
  - eval "${MATRIX_EVAL}"

install:
  - sudo add-apt-repository ppa:ubuntu-toolchain-r/test -y
  - sudo apt-get update
  - sudo apt-get -y install bison cmake flex libccrtp-dev libmagic-dev libreadline-dev libsndfile1-dev libucommon-dev libxml2-dev linux-libc-dev $PACKAGES $PACKAGES_ADD

script:
  - mkdir _build
  - cd _build
  - cmake -DCMAKE_INSTALL_PREFIX=../_install $FLAGS ..
  - cmake --build . --target install